﻿#language: ru

@milk_reception

Функционал: 01_milk_reception.02.002 Подготовка и создание документа Поступление молочного сырья

Сценарий: 01_milk_reception.02.002 Создание документа Поступление молочного сырья
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Поступления молочного сырья'
	Тогда открылось окно 'Поступления молочного сырья'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Поступление молочного сырья (создание)'
	И я нажимаю кнопку выбора у поля 'Рабочий центр'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_ПАЦ' |
	И я нажимаю на кнопку 'Выбрать'
	И из выпадающего списка "Статус" я выбираю точное значение 'Принято по количеству'	
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Поступление молочного сырья (создание) *'
	И в поле 'Автомобиль' я ввожу текст 'екгке546'
	И в поле 'Водитель' я ввожу текст 'Иванов'
	И в поле "Дата смены" я ввожу текст '01.11.2018'
	И я перехожу к закладке с именем "СтраницаТоварыЗаявлено"
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоНомерСекции' я ввожу текст '1'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита с именем "ТоварыЗаявленоПоставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Поступление молочного сырья (создание) *'
	И в таблице "ТоварыЗаявлено" я активизирую поле с именем "ТоварыЗаявленоНомерТТН"
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоНомерТТН' я ввожу текст '2453453'
	И в таблице "ТоварыЗаявлено" я активизирую поле с именем "ТоварыЗаявленоНомерВСД"
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоНомерВСД' я ввожу текст '5873653'
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита с именем "ТоварыЗаявленоНоменклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Ед.' | 'Наименование'    |
		| 'кг'  | 'milk_rec_Молоко' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Поступление молочного сырья (создание) *'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку 'Заполнить серии'
	И в таблице "ТоварыЗаявлено" у поля с именем "ТоварыЗаявленоСерия" я жду значения "01000024534535873653 до 01.11.2018 0:00:00" в течение 5 секунд
	И в таблице "ТоварыЗаявлено" я активизирую поле с именем "ТоварыЗаявленоСорт"
	И в таблице "ТоварыЗаявлено" я нажимаю кнопку выбора у реквизита с именем "ТоварыЗаявленоСорт"
	Тогда открылось окно 'Сорта'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| '2 сорт'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Поступление молочного сырья (создание) *'
	И в таблице "ТоварыЗаявлено" я активизирую поле с именем "ТоварыЗаявленоФизическийВес"
	И в таблице "ТоварыЗаявлено" в поле с именем 'ТоварыЗаявленоФизическийВес' я ввожу текст '2 600,000'
	И я перехожу к закладке "Факт"
	И я разворачиваю группу с именем "ГруппаПриемкаПоКачеству"
	И в поле 'Дата выполнения анализов' я ввожу текст '01.11.2018  8:01:00'
	И я нажимаю кнопку выбора у поля "Вид анализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                |
		| 'milk_rec_показатели МДЖ МДБ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Поступление молочного сырья (создание) *'
	И я разворачиваю группу с именем "ГруппаПриемкаПоКачеству"
	И в таблице "СекцииФактПоКачеству" я перехожу к строке:
		| 'Анализы'         | 'Возврат' | 'Секция' |
		| 'Введите анализы' | 'Нет'     | '1'      |
	И в таблице "СекцииФактПоКачеству" я активизирую поле с именем "СекцииФактПоКачествуАнализы"
	И в таблице "СекцииФактПоКачеству" я выбираю текущую строку
	Тогда открылось окно 'Форма ввод результатов анализов'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'      |
		| 'МДБ' 	    |
	И в таблице "Показатели" я активизирую поле "Значение"
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,100'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,200'
	И в таблице "Показатели" я завершаю редактирование строки
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель'       |
		| 'Плотность молока' |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '1 027,000'
	И в таблице "Показатели" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Поступление молочного сырья (создание) *'
	И я нажимаю кнопку выбора у поля с именем "ОтветственныйЗаПриемкуПоКачеству"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'                       |
		| 'milk_rec_Лаборант приемки молока' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Поступление молочного сырья (создание) *'
	И я разворачиваю группу с именем "ГруппаПриемкаПоКоличеству"
	И в поле 'Дата начала слива' я ввожу текст '01.11.2018 12:00:00'
	И в таблице "СекцииФактПоКоличеству" я нажимаю на кнопку 'Добавить'
	И в таблице "СекцииФактПоКоличеству" я перехожу к строке:
		| 'Секция' |
		| '' 	   |
	И в таблице "СекцииФактПоКоличеству" я активизирую поле с именем "СекцииФактПоКоличествуНомерСекции"
	И в таблице "СекцииФактПоКоличеству" я выбираю текущую строку
	И в таблице "СекцииФактПоКоличеству" я нажимаю кнопку выбора у реквизита с именем "СекцииФактПоКоличествуНомерСекции"
	И в таблице "СекцииФактПоКоличеству" из выпадающего списка с именем "СекцииФактПоКоличествуНомерСекции" я выбираю точное значение '1'
	И в таблице "СекцииФактПоКоличеству" я нажимаю кнопку выбора у реквизита с именем "СекцииФактПоКоличествуСклад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_rec_ПАЦ' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Поступление молочного сырья (создание) *'
	И в таблице "СекцииФактПоКоличеству" я активизирую поле с именем "СекцииФактПоКоличествуФизическийВес"
	И в таблице "СекцииФактПоКоличеству" в поле с именем 'СекцииФактПоКоличествуФизическийВес' я ввожу текст '2 500,000'
	И в таблице "СекцииФактПоКоличеству" я завершаю редактирование строки
	И я нажимаю кнопку выбора у поля с именем "ОтветственныйЗаПриемкуПоКоличеству"
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'               |
		| 'milk_rec_Приемщик молока' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Поступление молочного сырья (создание) *'
	И в таблице "СекцииФактПоКоличеству" я активизирую поле с именем "СекцииФактПоКоличествуНомерСекции"
	И в таблице "СекцииФактПоКоличеству" я завершаю редактирование строки
	И я перехожу к закладке "Взаиморасчеты"
	И в таблице "ТоварыВзаиморасчеты" в поле с именем 'ТоварыВзаиморасчетыФизическийВес' я ввожу текст '2 600,000'
	И из выпадающего списка "Статус" я выбираю точное значение 'Принято по стоимости'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Поступление молочного сырья (создание) *' в течение 20 секунд
	Тогда открылось окно 'Поступления молочного сырья'
	И я нажимаю на кнопку 'Движения документа'
	Тогда открылось окно 'Движения документа (Горизонтально)'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Движения документа Поступление молочного сырья * от *' | ''                    | ''                    | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| ''                                                      | ''                    | ''                    | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Регистр накопления "Поступление товаров" (1)'          | ''                    | ''                    | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'           | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | 'Ресурсы'                     | ''            | ''            				| ''               | ''             			| 'Реквизиты'                         | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Активность'                                            | 'Период'              | 'Поставщик'           | 'Организация' 				| 'Склад'  		  | 'Номенклатура'   | 'Характеристика' | 'Серия'            | 'Дата поставки'    | 'Упаковка'      | 'Документ поступление'               | 'Количество упаковок'         | 'Количество'  | 'Количество1' 				| 'Количество2'    | 'Сумма'        			| 'Цена'                              | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Да'                                                    | '*'                   | 'Поставщик 1'         | 'Организация' 				| ''    		  | 'milk_rec_Молоко'| ''               | '01000024534535873653 до *' | '*'       | ''              | 'Поступление молочного сырья * от *' | '2 600,000'                   | '2 600,000'   | ''            				| ''               | '67 366,00'    			| '25,91'                             | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| ''                                                      | ''                    | ''                    | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Регистр накопления "Поступления сырья" (1)'            | ''                    | ''                    | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Стандартные реквизиты'                                 | ''                    | 'Измерения'           | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | 'Ресурсы'     				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | 'Реквизиты'            | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Активность'                                            | 'Период'              | 'Поставщик'           | '(не используется) Склад'   | '(не используется) Ячейка' | 'Сорт'| 'Номенклатура'   | 'Характеристика'   | 'Серия'            | 'Рабочий центр' | 'Пункт сборки'                       | 'Возврат поставщику'          | 'Организация' | '(не используется) Литры'	| 'Физический вес' | 'Физический вес (заявлено)' | 'Физический вес (к взаиморасчетам)'| 'Жирокилограммы' |'Жирокилограммы (заявлено)' 		| 'Жирокилограммы (к взаиморасчетам)' | 'Белкокилограммы' | 'Белкокилограммы (заявлено)' | 'Белкокилограммы (к взаиморасчетам)' | 'Зачетный вес'  | 'Зачетный вес (заявлено)'   | 'Зачетный вес (к взаиморасчетам)'    | 'Сумма'     				  | 'Сумма (к взаиморасчетам)' | 'Цена' 				| 'Цена за зачетный вес' | 'Цена (к взаиморасчетам)' | 'Водитель' | 'Автомобиль' | 'Номер секции' | 'Дата начала слива'  | 'ТТН'     |
		| 'Да'                                                    | '*'                   | 'Поставщик 1'         | ''		  	  				| ''       		  | '2 сорт'         | 'milk_rec_Молоко'| ''                 | '01000024534535873653 до *' | 'milk_rec_ПАЦ'  | ''                          | 'Нет'                         | 'Организация' | ''            				| '2 500,000'      | '2 600,000'    			| '2 600,000'                         | '80,000'         | ''								| '83,200'          				| '77,500'            | ''                           | '80,600'                             | '2 491,176'     | ''                          | '2 590,824'                          | '64 775,00' 				  | '67 366,00'                | '25,91'                | '26,00'                | '25,91' 					 | 'Иванов'   | 'екгке546'   | '1'            | '*'                   | '2453453' |
		| ''                                                      | ''                    | ''                    | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Регистр накопления "Свободные остатки" (1)'            | ''                    | ''                    | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Стандартные реквизиты'                                 | ''                    | ''                    | 'Измерения'   				| ''       		  | ''               | ''               | ''                 | 'Ресурсы'          | ''              | ''                                   | 'Реквизиты'                   | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Вид движения'                                          | 'Активность'          | 'Период'              | 'Склад'       				| 'Ячейка' 		  | 'Номенклатура'   | 'Характеристика' | 'Серия'            | 'Количество'       | 'Количество 1'  | 'Количество 2'                       | 'Настройка контроля остатков' | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Приход'                                                | 'Да'                  | '*'			  		  | 'milk_rec_ПАЦ'				| ''       		  | 'milk_rec_Молоко'| ''               | '01000024534535873653 до *' | '2 500,000'| ''             | ''                                   | 'Не контролировать'           | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| ''                                                      | ''                    | ''                    | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Регистр накопления "Товары без тары" (1)'              | ''                    | ''                    | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Стандартные реквизиты'                                 | ''                    | ''                    | 'Измерения'   				| ''       		  | ''               | ''               | ''                 | 'Ресурсы'          | ''              | ''                                   | 'Реквизиты'                   | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Вид движения'                                          | 'Активность'          | 'Период'              | 'Склад'       				| 'Ячейка' 		  | 'Номенклатура'   | 'Характеристика' | 'Серия'            | 'Количество'       | 'Количество 1'  | 'Количество 2'                       | 'Настройка контроля остатков' | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Приход'                                                | 'Да'                  | '*' 		  		  | 'milk_rec_ПАЦ'				| ''       		  | 'milk_rec_Молоко'| ''               | '01000024534535873653 до *' | '2 500,000'| ''             | ''                                   | 'Не контролировать'           | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| ''                                                      | ''                    | ''                    | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Регистр накопления "Товары на складах" (1)'            | ''                    | ''                    | ''            				| ''       		  | ''               | ''               | ''                 | ''                 | ''              | ''                                   | ''                            | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Стандартные реквизиты'                                 | ''                    | ''                    | 'Измерения'   				| ''       		  | ''               | ''               | ''                 | 'Ресурсы'          | ''              | ''                                   | 'Реквизиты'                   | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Вид движения'                                          | 'Активность'          | 'Период'              | 'Склад'       				| 'Ячейка' 		  | 'Номенклатура'   | 'Характеристика' | 'Серия'            | 'Количество'       | 'Количество 1'  | 'Количество 2'                       | 'Настройка контроля остатков' | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
		| 'Приход'                                                | 'Да'                  | '*' 		  		  | 'milk_rec_ПАЦ'				| ''       		  | 'milk_rec_Молоко'| ''               | '01000024534535873653 до *' | '2 500,000'| ''             | ''                                   | 'Не контролировать'           | ''            | ''            				| ''               | ''             			| ''                                  | ''               | ''                				| ''                                | ''          | ''                          | ''                                  | ''                        | ''                          | ''                                   | ''                           | ''                         | ''                     | ''      | ''                        | ''         | ''           | ''             | ''                    | ''        |
	И Я закрываю окно 'Движения документа (Горизонтально)'
	Тогда открылось окно 'Поступления молочного сырья'
	И Я закрываю окно 'Поступления молочного сырья'